# Source code for azure.mgmt.dns.models.ns_record

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class NsRecord(Model):
        """An NS record.

        :param nsdname: Gets or sets the name server name for this record,
         without a terminating dot.
        :type nsdname: str
        """

        _attribute_map = {
            'nsdname': {'key': 'nsdname', 'type': 'str'},
        }

        def __init__(self, nsdname=None):
            self.nsdname = nsdname